Bug 1656173 - kernel 4.19.6-300.fc29.x86_64 crash
Summary: kernel 4.19.6-300.fc29.x86_64 crash
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-04 21:42 UTC by nucleo
Modified: 2019-02-21 21:06 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-21 21:06:35 UTC


Attachments (Terms of Use)

Description nucleo 2018-12-04 21:42:05 UTC
Description of problem:
kernel 4.19.6-300.fc29.x86_64 crashed randomly. 

Version-Release number of selected component (if applicable):
kernel 4.19.6-300.fc29.x86_64

Actual results:
[38654.664816] page:ffffea00146e0d00 count:17900333 mapcount:17900331 mapping:ffff88858b9ebb98 index:0x197
[38654.664823] flags: 0x17fffe00040029(locked|uptodate|lru|swapbacked)
[38654.664826] raw: 0017fffe00040029 ffffea00147009c8 ffffea00146e0d48 ffff88858b9ebb98
[38654.664829] raw: 0000000000000197 0000000000000000 0111232d0111232a ffff888809da2000
[38654.664831] page dumped because: VM_BUG_ON_PAGE(page_mapped(page))
[38654.664833] page->mem_cgroup:ffff888809da2000
[38654.664839] ------------[ cut here ]------------
[38654.664840] kernel BUG at mm/filemap.c:201!
[38654.664845] invalid opcode: 0000 [#1] SMP NOPTI
[38654.664847] CPU: 0 PID: 5126 Comm: kworker/0:0 Not tainted 4.19.6-300.fc29.x86_64 #1
[38654.664849] Hardware name: System manufacturer System Product Name/PRIME H270-PRO, BIOS 1205 05/03/2018
[38654.664855] Workqueue: events delayed_fput
[38654.664859] RIP: e030:unaccount_page_cache_page+0x1b4/0x200
[38654.664861] Code: a8 01 75 5b 48 8b 03 f6 c4 80 74 91 be 13 00 00 00 48 89 df e8 1d c8 02 00 eb 82 48 c7 c6 b0 70 0d 82 48 89 df e8 dc b3 03 00 <0f> 0b 48 c7 c6 d8 70 0d 82 48 89 df e8 cb b3 03 00 0f 0b 48 c7 c6
[38654.664866] RSP: e02b:ffffc9000fdb3b58 EFLAGS: 00010046
[38654.664868] RAX: 0000000000000021 RBX: ffffea00146e0d00 RCX: 0000000000000006
[38654.664871] RDX: 0000000000000000 RSI: 0000000000000000 RDI: ffff888813c16860
[38654.664873] RBP: ffff88858b9ebb98 R08: 0000000000000034 R09: 000000000000000a
[38654.664875] R10: 0000000000000000 R11: 0000000000000000 R12: 0000000000000001
[38654.664878] R13: 0017fffe00040229 R14: ffffea00146e0d00 R15: 0000000000000000
[38654.664886] FS:  0000000000000000(0000) GS:ffff888813c00000(0000) knlGS:0000000000000000
[38654.664889] CS:  e033 DS: 0000 ES: 0000 CR0: 0000000080050033
[38654.664891] CR2: 0000557e51651328 CR3: 00000007e42c0000 CR4: 0000000000042660
[38654.664895] Call Trace:
[38654.664899]  __delete_from_page_cache+0x43/0x240
[38654.664903]  ? _cond_resched+0x15/0x30
[38654.664905]  ? down_write+0xe/0x40
[38654.664907]  delete_from_page_cache+0x45/0x70
[38654.664909]  truncate_inode_page+0x28/0x50
[38654.664912]  shmem_undo_range+0x248/0x9a0
[38654.664915]  shmem_truncate_range+0x14/0x40
[38654.664917]  shmem_evict_inode+0xaf/0x180
[38654.664919]  evict+0xcb/0x190
[38654.664922]  __dentry_kill+0xce/0x160
[38654.664924]  dentry_kill+0x47/0x170
[38654.664925]  dput.part.34+0xc6/0x100
[38654.664927]  __fput+0x105/0x220
[38654.664929]  delayed_fput+0x1c/0x30
[38654.664932]  process_one_work+0x1a1/0x3a0
[38654.664933]  worker_thread+0x30/0x380
[38654.664935]  ? pwq_unbound_release_workfn+0xd0/0xd0
[38654.664938]  kthread+0x112/0x130
[38654.664940]  ? kthread_create_worker_on_cpu+0x70/0x70
[38654.664942]  ret_from_fork+0x1f/0x40
[38654.664944] Modules linked in: nfnetlink_queue nfnetlink_log nfnetlink bluetooth ecdh_generic cfg80211 tun ip6t_REJECT nf_reject_ipv6 xt_limit xt_state ip6table_filter ip6_tables nf_nat_ftp nf_conntrack_ftp xt_multiport xt_conntrack xt_mac ipt_MASQUERADE xt_nat xt_REDIRECT iptable_nat nf_nat_ipv4 nf_nat nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic intel_rapl snd_hda_intel intel_powerclamp crct10dif_pclmul crc32_pclmul snd_hda_codec eeepc_wmi asus_wmi sparse_keymap iTCO_wdt iTCO_vendor_support ghash_clmulni_intel rfkill snd_hda_core wmi_bmof mxm_wmi snd_hwdep snd_seq snd_seq_device snd_pcm intel_rapl_perf 8021q garp mrp snd_timer mei_me snd joydev soundcore mei i2c_i801 wmi binfmt_misc tcp_htcp xenfs xen_privcmd nvme crc32c_intel
[38654.664981]  i915 serio_raw nvme_core xen_acpi_processor xen_scsiback target_core_mod xen_pciback xen_netback xen_blkback xen_gntalloc xen_gntdev xen_evtchn bridge video i2c_algo_bit stp llc drm_kms_helper 8139too drm e1000e mii
[38654.664994] ---[ end trace c9f5d73aef7f6869 ]---
[38654.664996] RIP: e030:unaccount_page_cache_page+0x1b4/0x200
[38654.664999] Code: a8 01 75 5b 48 8b 03 f6 c4 80 74 91 be 13 00 00 00 48 89 df e8 1d c8 02 00 eb 82 48 c7 c6 b0 70 0d 82 48 89 df e8 dc b3 03 00 <0f> 0b 48 c7 c6 d8 70 0d 82 48 89 df e8 cb b3 03 00 0f 0b 48 c7 c6
[38654.665004] RSP: e02b:ffffc9000fdb3b58 EFLAGS: 00010046
[38654.665006] RAX: 0000000000000021 RBX: ffffea00146e0d00 RCX: 0000000000000006
[38654.665008] RDX: 0000000000000000 RSI: 0000000000000000 RDI: ffff888813c16860
[38654.665011] RBP: ffff88858b9ebb98 R08: 0000000000000034 R09: 000000000000000a
[38654.665013] R10: 0000000000000000 R11: 0000000000000000 R12: 0000000000000001
[38654.665015] R13: 0017fffe00040229 R14: ffffea00146e0d00 R15: 0000000000000000
[38654.665021] FS:  0000000000000000(0000) GS:ffff888813c00000(0000) knlGS:0000000000000000
[38654.665024] CS:  e033 DS: 0000 ES: 0000 CR0: 0000000080050033
[38654.665026] CR2: 0000557e51651328 CR3: 00000007e42c0000 CR4: 0000000000042660

Additional info:
This random crash (don't know how to reproduce it) first happened in 4.19.6, never happened in previous kernlels, including 4.19.5.

Comment 1 Justin M. Forbes 2019-01-29 16:14:13 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 29 kernel bugs.

Fedora 29 has now been rebased to 4.20.5-200.fc29.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 2 Justin M. Forbes 2019-02-21 21:06:35 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.